Subject: Re: Bonding support for eth1394?

From: Roland Dreier <[email-masked]>
Date: Sat, 13 Oct 2007 08:34:44 -0700

> The bonding sources have a few occurrences of EOPNOTSUPP.  Unless I
 > missed something, they are all related to setting the hardware address
 > of the interface.  AFAICS this is impossible with IP over FireWire.  If
 > it is crucial to bonding to be able to change the slaves' hardware
 > addresses, then you are out of luck.

There are a few changes to the bonding driver pending that will add
support for bonding IP-over-InfiniBand interfaces.  IPoIB also cannot
change its HW address, so the patches address that issue.

Once those patches land, bonding eth1394 interfaces may "just work".

 - R.